/*
 * gsampler-channel-dialog.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 * 
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_CHANNEL_DIALOG_H_
#define _GSAMPLER_CHANNEL_DIALOG_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GSAMPLER_TYPE_CHANNEL_DIALOG (gsampler_channel_dialog_get_type ())
#define GSAMPLER_CHANNEL_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_CHANNEL_DIALOG, GsamplerChannelDialog))
#define GSAMPLER_CHANNEL_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_CHANNEL_DIALOG, GsamplerChannelDialogClass))
#define GSAMPLER_IS_CHANNEL_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_CHANNEL_DIALOG))
#define GSAMPLER_IS_CHANNEL_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_CHANNEL_DIALOG))
#define GSAMPLER_CHANNEL_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_CHANNEL_DIALOG, GsamplerChannelDialogClass))

typedef struct _GsamplerChannelDialog GsamplerChannelDialog;
typedef struct _GsamplerChannelDialogClass GsamplerChannelDialogClass;

struct _GsamplerChannelDialog {
	GtkDialog parent_instance;
	GtkComboBox* engine;
	GtkFileChooserButton* file;
	GtkComboBox* inst;
};

struct _GsamplerChannelDialogClass {
	GtkDialogClass parent_class;
};

GType gsampler_channel_dialog_get_type (void) G_GNUC_CONST;
GsamplerChannelDialog* gsampler_channel_dialog_new (void);

/* Callbacks */

G_END_DECLS

#endif /* _GSAMPLER_CHANNEL_DIALOG_H_ */