/*
 * gsampler-device-manager.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 * 
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_DEVICE_MANAGER_H_
#define _GSAMPLER_DEVICE_MANAGER_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GSAMPLER_TYPE_DEVICE_MANAGER (gsampler_device_manager_get_type ())
#define GSAMPLER_DEVICE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_DEVICE_MANAGER, GsamplerDeviceManager))
#define GSAMPLER_DEVICE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_DEVICE_MANAGER, GsamplerDeviceManagerClass))
#define GSAMPLER_IS_DEVICE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_DEVICE_MANAGER))
#define GSAMPLER_IS_DEVICE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_DEVICE_MANAGER))
#define GSAMPLER_DEVICE_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_DEVICE_MANAGER, GsamplerDeviceManagerClass))
#define GSAMPLER_DEVICE_MANAGER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GSAMPLER_TYPE_DEVICE_MANAGER, GsamplerDeviceManagerPrivate))

typedef struct _GsamplerDeviceManager GsamplerDeviceManager;
typedef struct _GsamplerDeviceManagerClass GsamplerDeviceManagerClass;
typedef struct _GsamplerDeviceManagerPrivate GsamplerDeviceManagerPrivate;

struct _GsamplerDeviceManager {
	GtkBox parent_instance;
	GsamplerDeviceManagerPrivate * priv;
};

struct _GsamplerDeviceManagerClass {
	GtkBoxClass parent_class;
};

struct _GsamplerDeviceManagerPrivate {
	GtkBox* audio_box;
	GtkBox* midi_box;
};

GType 					gsampler_device_manager_get_type (void) G_GNUC_CONST;
GsamplerDeviceManager* 	gsampler_device_manager_new (void);
GsamplerDeviceManager* 	gsampler_device_manager_get_instance (void);

void 					gsampler_device_manager_active (GsamplerDeviceManager* self);
void 					gsampler_device_manager_inactive (GsamplerDeviceManager* self);
GSList *	 			gsampler_device_manager_get_audios (void);
GSList *	 			gsampler_device_manager_get_midis (void);

G_END_DECLS

#endif /* _GSAMPLER_DEVICE_MANAGER_H_ */